/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.constructorexample;

/**
 *
 * @author omozegieaziegbe
 */

class Person {
    private final String name;
    private final int age;

    // Constructor for initializing immutable properties
    public Person(String name, int age) {
        this.name = name;
        this.age = age;
    }

    // Getter methods
    public String getName() {
        return name;
    }

    public int getAge() {
        return age;
    }
}

public class ConstructorExample {

    public static void main(String[] args) {
       // Creating a Person object using the constructor
        Person person = new Person("John", 30);

        // Accessing properties using getter methods
        System.out.println("Name: " + person.getName());
        System.out.println("Age: " + person.getAge());
    }
}

